--- title: "Get edge statistics" slug: "edge-statistics-summary" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/edge-statistics-summary" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get edge statistics Available in Classic and VPC Get edge usage statistics. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/statistics/{profileId}/{edgeId} | ### Request headers For information about the headers common to all Global Edge APIs, see [Global Edge request headers](/docs/en/edge-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `profileId` | Long | Required | Profile ID - See [Get profile list](/docs/en/profile-listing). | | `edgeId` | Long | Required | Edge ID - See [Get edge list](/docs/en/edge-listing). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `dateFrom` | String | Required | Query start date and time - ISO 8601 format (UTC standard). - Can be entered up to 730 days prior. | | `dateTo` | String | Required | Query end date and time - ISO 8601 format (UTC standard). - Up to the current time can be entered. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://edge.apigw.ntruss.com/api/v1/statistics/4210/11207?dateFrom=2025-07-17T07%3A00%3A00Z&dateTo=2025-07-17T08%3A00%3A00Z' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.dateFrom` | String | - | Query start date and time - ISO 8601 format (UTC standard) | | `result.dateTo` | String | - | Query end date and time - ISO 8601 format (UTC standard) | | `result.interval` | Long | - | Aggregation interval (second) | | `result.hitsTotal` | Object | - | Statistics based on number of responses | | `result.hitsTotal.offload` | Object | - | Offload statistics | | `result.hitsTotal.offload.value` | Double | - | Offload average | | `result.hitsTotal.offload.min` | Double | - | Offload minimum value | | `result.hitsTotal.offload.max` | Double | - | Offload maximum value | | `result.hitsTotal.offload.minDate` | String | - | Offload minimum value record date and time - ISO 8601 format (UTC standard) | | `result.hitsTotal.offload.maxDate` | String | - | Offload maximum value record date and time - ISO 8601 format (UTC standard) | | `result.hitsTotal.edgeHits` | Object | - | Edge response count statistics | | `result.hitsTotal.edgeHits.value` | Long | - | Edge response count total | | `result.hitsTotal.edgeHits.min` | Long | - | Edge response count minimum value | | `result.hitsTotal.edgeHits.max` | Long | - | Edge response count maximum value | | `result.hitsTotal.edgeHits.minDate` | String | - | Edge response count minimum value record date and time - ISO 8601 format (UTC standard) | | `result.hitsTotal.edgeHits.maxDate` | String | - | Edge response count maximum value record date and time - ISO 8601 format (UTC standard) | | `result.hitsTotal.originShieldHits` | Object | - | Origin shield response count statistics | | `result.hitsTotal.originShieldHits.value` | Long | - | Origin shield response count total | | `result.hitsTotal.originShieldHits.min` | Long | - | Origin shield response count minimum value | | `result.hitsTotal.originShieldHits.max` | Long | - | Origin shield response count maximum value | | `result.hitsTotal.originShieldHits.minDate` | String | - | Origin shield response count minimum value record date and time - ISO 8601 format (UTC standard) | | `result.hitsTotal.originShieldHits.maxDate` | String | - | Origin shield response count maximum value record date and time - ISO 8601 format (UTC standard) | | `result.hitsTotal.originHits` | Object | - | Origin response count statistics | | `result.hitsTotal.originHits.value` | Long | - | Origin response count total | | `result.hitsTotal.originHits.min` | Long | - | Origin response count minimum value | | `result.hitsTotal.originHits.max` | Long | - | Origin response count maximum value | | `result.hitsTotal.originHits.minDate` | String | - | Origin response count minimum value record date and time - ISO 8601 format (UTC standard) | | `result.hitsTotal.originHits.maxDate` | String | - | Origin response count maximum value record date and time - ISO 8601 format (UTC standard) | | `result.hitsTotal.errorHits` | Object | - | Error response count statistics | | `result.hitsTotal.errorHits.value` | Long | - | Error response count total | | `result.hitsTotal.errorHits.min` | Long | - | Error response count minimum value | | `result.hitsTotal.errorHits.max` | Long | - | Error response count maximum value | | `result.hitsTotal.errorHits.minDate` | String | - | Error response count minimum value record date and time - ISO 8601 format (UTC standard) | | `result.hitsTotal.errorHits.maxDate` | String | - | Error response count maximum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal` | Object | - | Overall statistics by traffic | | `result.bytesTotal.offload` | Object | - | Offload traffic statistics | | `result.bytesTotal.offload.value` | Double | - | Offload traffic average | | `result.bytesTotal.offload.min` | Double | - | Offload traffic minimum value | | `result.bytesTotal.offload.max` | Double | - | Offload traffic maximum value | | `result.bytesTotal.offload.minDate` | String | - | Offload traffic minimum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.offload.maxDate` | String | - | Offload traffic maximum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.edgeBytes` | Object | - | Edge traffic statistics (byte) | | `result.bytesTotal.edgeBytes.value` | Long | - | Edge traffic total | | `result.bytesTotal.edgeBytes.min` | Long | - | Edge traffic minimum value | | `result.bytesTotal.edgeBytes.max` | Long | - | Edge traffic maximum value | | `result.bytesTotal.edgeBytes.minDate` | String | - | Edge traffic minimum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.edgeBytes.maxDate` | String | - | Edge traffic maximum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.originShieldBytes` | Object | - | Origin shield traffic statistics (byte) | | `result.bytesTotal.originShieldBytes.value` | Long | - | Origin shield traffic total | | `result.bytesTotal.originShieldBytes.min` | Long | - | Origin shield traffic minimum value | | `result.bytesTotal.originShieldBytes.max` | Long | - | Origin shield traffic maximum value | | `result.bytesTotal.originShieldBytes.minDate` | String | - | Origin shield traffic minimum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.originShieldBytes.maxDate` | String | - | Origin shield traffic maximum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.originBytes` | Object | - | Origin traffic statistics (byte) | | `result.bytesTotal.originBytes.value` | Long | - | Origin traffic total | | `result.bytesTotal.originBytes.min` | Long | - | Origin traffic minimum value | | `result.bytesTotal.originBytes.max` | Long | - | Origin traffic maximum value | | `result.bytesTotal.originBytes.minDate` | String | - | Origin traffic minimum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.originBytes.maxDate` | String | - | Origin traffic maximum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.edgeBps` | Object | - | Edge traffic statistics (bps) | | `result.bytesTotal.edgeBps.value` | Double | - | Edge traffic average | | `result.bytesTotal.edgeBps.min` | Double | - | Edge traffic minimum value | | `result.bytesTotal.edgeBps.max` | Double | - | Edge traffic maximum value | | `result.bytesTotal.edgeBps.minDate` | String | - | Edge traffic minimum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.edgeBps.maxDate` | String | - | Edge traffic maximum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.originShieldBps` | Object | - | Origin shield traffic statistics (bps) | | `result.bytesTotal.originShieldBps.value` | Double | - | Origin shield traffic average | | `result.bytesTotal.originShieldBps.min` | Double | - | Origin shield traffic minimum value | | `result.bytesTotal.originShieldBps.max` | Double | - | Origin shield traffic maximum value | | `result.bytesTotal.originShieldBps.minDate` | String | - | Origin shield traffic minimum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.originShieldBps.maxDate` | String | - | Origin shield traffic maximum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.originBps` | Object | - | Origin traffic statistics (bps) | | `result.bytesTotal.originBps.value` | Double | - | Origin traffic average | | `result.bytesTotal.originBps.min` | Double | - | Origin traffic minimum value | | `result.bytesTotal.originBps.max` | Double | - | Origin traffic maximum value | | `result.bytesTotal.originBps.minDate` | String | - | Origin traffic minimum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.originBps.maxDate` | String | - | Origin traffic maximum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.errorHits` | Object | - | Error response count statistics | | `result.bytesTotal.errorHits.value` | Long | - | Error response count total | | `result.bytesTotal.errorHits.min` | Long | - | Error response count minimum value | | `result.bytesTotal.errorHits.max` | Long | - | Error response count maximum value | | `result.bytesTotal.errorHits.minDate` | String | - | Error response count minimum value record date and time - ISO 8601 format (UTC standard) | | `result.bytesTotal.errorHits.maxDate` | String | - | Error response count maximum value record date and time - ISO 8601 format (UTC standard) | | `result.responseSegments` | Array | - | Statistics by HTTP response code: [responseSegments](/docs/en/edge-statistics-summary#responseSegments) | | `result.trafficSegments` | Array | - | Statistics by edge: [trafficSegments](/docs/en/edge-statistics-summary#trafficSegments) | | `result.statistics` | Array | - | Statistics by time: [statistics](/docs/en/edge-statistics-summary#statistics) | #### `responseSegments` The following describes `responseSegments`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `responseCode` | String | - | HTTP response code | | `edgeHits` | Long | - | Edge response count total | | `originHits` | Long | - | Origin response count total | #### `trafficSegments` The following describes `trafficSegments`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `edgeId` | Long | - | Edge ID | | `edgeName` | String | - | Edge name | | `offloadHits` | Double | - | Edge response count offload average | | `edgeHits` | Long | - | Edge response count total | | `originHits` | Long | - | Origin response count total | | `offloadBytes` | Double | - | Edge traffic offload average | | `edgeBytes` | Long | - | Edge traffic total (byte) | | `originShieldBytes` | Long | - | Origin shield traffic total (byte) | | `originBytes` | Long | - | Origin traffic total (byte) | #### `statistics` The following describes `statistics`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `time` | String | - | Aggregation time - ISO 8601 format (UTC standard) | | `offloadHits` | Double | - | Offload average for that time | | `edgeHits` | Long | - | Total edge response count for that time | | `originShieldHits` | Long | - | Total origin shield response count for that time | | `originHits` | Long | - | Total origin response count for that time | | `edgeSuccessCount` | Long | - | Total edge 2xx response count for that time | | `edgeRedirectionCount` | Long | - | Total edge 3xx response count for that time | | `edgeClientErrorCount` | Long | - | Total edge 4xx response count for that time | | `edgeServerErrorCount` | Long | - | Total edge 5xx response count for that time | | `originSuccessCount` | Long | - | Total origin 2xx response count for that time | | `originRedirectionCount` | Long | - | Total origin 3xx response count for that time | | `originClientErrorCount` | Long | - | Total origin 4xx response count for that time | | `originServerErrorCount` | Long | - | Total origin 5xx response count for that time | | `offloadBytes` | Double | - | Average traffic offload for that time | | `edgeBytes` | Long | - | Total edge traffic for that time | | `originShieldBytes` | Long | - | Total origin shield traffic for that time | | `originBytes` | Long | - | Total origin traffic for that time | | `edgeBps` | Double | - | Edge traffic (bps) for that time | | `originShieldBps` | Double | - | Origin shield traffic (bps) for that time | | `originBps` | Double | - | Origin traffic (bps) for that time | ### Response status codes For information about the HTTP status codes common to all Global Edge APIs, see [Global Edge response status codes](/docs/en/edge-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0000", "message": "Success", "result": { "dateFrom": "2025-07-17T07:00:00Z", "dateTo": "2025-07-17T07:23:38.714693345Z", "interval": 300, "hitsTotal": { "offload": { "value": 3.142857142857143, "min": 0, "max": 44, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:15:00Z" }, "edgeHits": { "value": 13, "min": 0, "max": 13, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:15:00Z" }, "originShieldHits": { "value": 0, "min": 0, "max": 0, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:10:00Z" }, "originHits": { "value": 2, "min": 0, "max": 2, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:15:00Z" }, "errorHits": { "value": 34, "min": 0, "max": 14, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:15:00Z" } }, "bytesTotal": { "offload": { "value": 7.142857142857143, "min": 0, "max": 100, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:05:00Z" }, "edgeBytes": { "value": 48163, "min": 0, "max": 45631, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:15:00Z" }, "originShieldBytes": { "value": 0, "min": 0, "max": 0, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:10:00Z" }, "originBytes": { "value": 18522, "min": 0, "max": 18522, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:15:00Z" }, "edgeBps": { "value": 91.73905, "min": 0, "max": 1216.8267, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:15:00Z" }, "originShieldBps": { "value": 0, "min": 0, "max": 0, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:10:00Z" }, "originBps": { "value": 35.28, "min": 0, "max": 493.92, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:15:00Z" }, "errorHits": { "value": 34, "min": 0, "max": 14, "minDate": "2025-07-17T07:10:00Z", "maxDate": "2025-07-17T07:15:00Z" } }, "responseSegments": [ { "responseCode": "2xx", "edgeHits": 13, "originHits": 2 }, { "responseCode": "3xx", "edgeHits": 0, "originHits": 0 }, { "responseCode": "4xx", "edgeHits": 20, "originHits": 14 }, { "responseCode": "5xx", "edgeHits": 0, "originHits": 0 } ], "trafficSegments": [ { "edgeId": 11207, "edgeName": "edge001", "offloadHits": 3.142857142857143, "edgeHits": 13, "originHits": 2, "offloadBytes": 7.142857142857143, "edgeBytes": 48163, "originShieldBytes": 0, "originBytes": 18522 } ], "statistics": [ { "time": "2025-07-17T07:00:00Z", "offloadHits": 0, "edgeHits": 0, "originShieldHits": 0, "originHits": 0, "edgeSuccessCount": 0, "edgeRedirectionCount": 0, "edgeClientErrorCount": 0, "edgeServerErrorCount": 0, "originSuccessCount": 0, "originRedirectionCount": 0, "originClientErrorCount": 0, "originServerErrorCount": 0, "offloadBytes": 0, "edgeBytes": 0, "originShieldBytes": 0, "originBytes": 0, "edgeBps": 0, "originShieldBps": 0, "originBps": 0 }, ... ] } } ```